## pdfcrack 0.9

=== Makefile ===
CFLAGS= -Wall -Wshadow -Wwrite-strings -Wsign-compare -Wfloat-equal \
	-Wconversion -Wmissing-noreturn -Wbad-function-cast \
	-Wmissing-prototypes -Winline -Wredundant-decls -O3

all: pdfcrack

pdfcrack: main.o rc4.o md5.o pdfcrack.o pdfparser.o passwords.o common.o \
	benchmark.o
	gcc $(CFLAGS) -o $@ $+
	strip $@

pdfreader: pdfparser.o pdfreader.o common.o
	gcc $(CFLAGS) -o $@ $+
	strip $@

clean:
	rm -f pdfcrack pdfreader testreader *.o

%.o: %.c
	gcc $(CFLAGS) -c -o $@ $+

## pdfcrack 0.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CFLAGS= -Wall -Wshadow -Wwrite-strings -Wsign-compare -Wfloat-equal \
-	-Wconversion -Wmissing-noreturn -Wbad-function-cast \
+	-Wmissing-noreturn -Wbad-function-cast \
 	-Wmissing-prototypes -Winline -Wredundant-decls -O3
 
 all: pdfcrack

=== debian/changelog ===
pdfcrack (0.12-1) unstable; urgency=medium

  * New upstream release (LP: #1110689).
  * debian/copyright: updated the upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 01 Feb 2014 10:14:32 -0200

pdfcrack (0.11-4) unstable; urgency=medium

  * Edited the 'Makefile' patch to change the CFLAGS, to avoid the
    dpkg-buildflags-missing warning.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 21 Jan 2014 00:24:22 -0200

pdfcrack (0.11-3) unstable; urgency=medium

  * New maintainer. Thanks a lot to Nacho Barrientos Arias, the initial
    maintainer, for your nice work over this package. (Closes: #733525)
  * Migrations:
      - debian format from 1.0 to 3.0.
      - debian/copyright to new format (1.0).
      - debian/rules: to new (reduced) format.
      - debhelper version from 7 to 9.
      - Standards-Version from 3.8.3 to 3.9.5.
  * Manpage:
      - Renamed debian/manpages directory to debian/man.
      - Created the debian/manpages file to install the debian/man/pdfcrack.1
        file.
      - debian/man/pdfcrack.1 file:
          - Added a warning about pdfcrack use and local laws. (LP: #224562)
          - Converted the manpage source to txt2man format.
          - Fixed some hyphen-used-as-minus-sign problems.
  * debian/control:
      - Added the VCS fields.
      - Added ${misc:Depends} to Depends field.
      - Little improvements in the long description.
      - Removed 'quilt' from Build-Depends field.
  * debian/docs: added TODO file.
  * debian/gbp.conf: added to allow git-buildpackage usage.
  * debian/install: created to install the pdfcrack final binary.
  * debian/patches/01_drop_strip_calls.diff:
      - Added a header.
      - Added GCC hardening procedures.
      - Renamed to Makefile.
  * debian/README.source: removed because this file is useless now.
  * debian/watch: fixed.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 18 Jan 2014 17:12:01 -0200

pdfcrack (0.11-2) unstable; urgency=low

  * Orphaned
   + Set maintainer to Debian QA Group <packages@qa.debian.org>

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:14:34 +0000

pdfcrack (0.11-1) unstable; urgency=low

  * New upstream release 
  * debian/control
   + Update standards-version to 3.8.3 (no changes).
   + Suggest pdf-viewer instead of pdf-reader (closes: #498032).
  * debian/watch
   + Using SF.net redirector

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 24 Sep 2009 16:00:45 +0200

pdfcrack (0.10-1) unstable; urgency=low

  * New upstream release (closes: #490187).
  * debian/control
   + Set Standards-Version to 3.8.0 (no changes).

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 23 Jul 2008 11:16:06 +0200

pdfcrack (0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control
  - Move the homepage to the new field.
  - Add quilt as build-dep.
  - New maintainer email address.
  - Suggest pdf-reader instead of xpdf-reader
  * debian/rules
  - Apply patches
  * debian/patches
  - 01_drop_strip_calls: removes explicit strip calls
    (closes: #437761).

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 23 Nov 2007 23:23:42 +0100

pdfcrack (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
  - Minor clean.
  - Removed -fweb from CFLAGS's set, not required now. 

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 26 Oct 2006 12:19:46 +0200

pdfcrack (0.7-1) unstable; urgency=low

  * Initial release (Closes: #380328).
  * Added manpage for pdfcrack not included in upstream sources.

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Sat, 29 Jul 2006 12:04:47 +0200

=== debian/control ===
Source: pdfcrack
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/pdfcrack.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pdfcrack.git
Homepage: http://sf.net/projects/pdfcrack

Package: pdfcrack
Architecture: any
Suggests: pdf-viewer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PDF files password cracker
 pdfcrack is a simple tool for recovering passwords from pdf-documents.
 It should be able to handle all pdfs that uses the standard security handler
 but the pdf-parsing routines are a bit of a quick hack so you might stumble
 across some pdfs where the parser needs to be fixed to handle.
 .
 pdfcrack allows configure the size of the searched password, use an external
 wordlist file and save cracking sessions to restore it later.
 .
 This program can be used in forensics investigations or similar activities,
 to legal password crack.

=== debian/watch ===
version=3
http://sf.net/pdfcrack/pdfcrack-(\d\S*)\.tar\.gz

## pdfcrack 0.13

=== Makefile ===
CFLAGS= -Wall -Wextra -O3 -g

all: pdfcrack

pdfcrack: main.o sha256.o rc4.o md5.o pdfcrack.o pdfparser.o passwords.o common.o \
	benchmark.o
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $+

pdfreader: pdfparser.o pdfreader.o common.o
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $+

clean:
	rm -f pdfcrack pdfreader testreader *.o

%.o: %.c
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $+

=== debian/changelog ===
pdfcrack (0.13-3) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.
  * debian/man/:
      - Added genman.sh to automate the manpage creation.
      - Renamed pdfcrack.header.txt to header.txt.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 02 Aug 2014 19:42:47 -0300

pdfcrack (0.13-2) unstable; urgency=medium

  * Added a patch, to Makefile, changing from 'CFLAGS =' to 'CFLAGS +=',
    to avoid the dpkg-buildflags-missing warning.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 20 Feb 2014 15:40:05 -0300

pdfcrack (0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/dirs: removed because this file is useless now.
  * debian/docs: removed the 'TODO' reference because the upstream no
    longer provides this file.
  * debian/patches/Makefile: removed because the upstream fixed the
    source code. Thanks Henning.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 16 Feb 2014 15:36:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pdfcrack
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/pdfcrack.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdfcrack.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdfcrack.git
 Homepage: http://sf.net/projects/pdfcrack

=== debian/watch ===
version=3
http://sf.net/pdfcrack/pdfcrack-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pdfcrack 0.14

=== Makefile ===
CFLAGS += -Wall -Wextra -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -O3 -g

all: pdfcrack

pdfcrack: main.o sha256.o rc4.o md5.o pdfcrack.o pdfparser.o passwords.o common.o \
	benchmark.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $+

pdfreader: pdfparser.o pdfreader.o common.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $+

clean:
	rm -f pdfcrack pdfreader testreader *.o

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $+

=== debian/changelog ===
pdfcrack (0.14-2) unstable; urgency=medium

  * Cryptographic signature verification: the upstream is providing a GPG
      signature that allows the tarball verification. Consequently:
      - Added the debian/upstream/signing-key.asc file.
      - Updated the debian/watch file.
  * debian/control: updated the Homepage field.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to fix the
      issues pointed by blhc.
  * debian/watch: added an extra check to SourceForge.net.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 17 Sep 2014 11:36:28 -0300

pdfcrack (0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/: removed the manpage. The upstream
    is providing one now. Thanks.
  * debian/manpages: poiting to upstream now.
  * debian/patches: removed. The upstream fixed the
    source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 01 Sep 2014 15:15:15 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pdfcrack.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdfcrack.git
-Homepage: http://sf.net/projects/pdfcrack
+Homepage: http://pdfcrack.sf.net
 
 Package: pdfcrack
 Architecture: any
@@ -14,6 +14,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: PDF files password cracker
  pdfcrack is a simple tool for recovering passwords from pdf-documents.
+ .
  It should be able to handle all pdfs that uses the standard security handler
  but the pdf-parsing routines are a bit of a quick hack so you might stumble
  across some pdfs where the parser needs to be fixed to handle.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

## pdfcrack 0.15

=== debian/changelog ===
pdfcrack (0.15-4) unstable; urgency=medium

  * debian/control: fixed the Vcs-* fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Mar 2016 10:52:09 -0300

pdfcrack (0.15-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/watch:
      - Removed an extra (useless) source address.
      - Using version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Mar 2016 00:06:34 -0300

pdfcrack (0.15-2) unstable; urgency=medium

  * debian/patches/fix-manpage.patch: added to fix indentations inside the
      OPTIONS section. (Closes: #803151)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Oct 2015 14:26:41 -0200

pdfcrack (0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped the Standards-Version to 3.9.6.
      - Improved the long description.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Updated all copyright information.
      - Updated the upstream and packaging copyright years.
      - Updated the Upstream-Name field in header.
  * debian/docs: added the upstream TODO file.
  * debian/gbp.conf: not used by me... Removed.
  * debian/rules: removed the parallel option from dh.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 03 Oct 2015 19:05:52 -0300

=== debian/control ===
Source: pdfcrack
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pdfcrack.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdfcrack.git
Homepage: http://pdfcrack.sf.net

Package: pdfcrack
Architecture: any
Suggests: pdf-viewer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PDF files password cracker
 PDFCrack is a simple tool for recovering passwords from pdf-documents.
 .
 It should be able to handle all pdfs that uses the standard security handler
 but the pdf-parsing routines are a bit of a quick hack so you might stumble
 across some pdfs where the parser needs to be fixed to handle.
 .
 The main PDFCrack features are:
 .
   - Supports the standard security handler (revision 2, 3 and 4) on all known
     PDF-versions.
   - Supports cracking both owner and userpasswords.
   - Both wordlists and bruteforcing the password are supported.
   - Simple permutations (currently only trying first character as Upper Case).
   - Save and load a running job.
   - Simple benchmarking.
   - Optimised search for owner-password when user-password is known.
 .
 This program can be used in forensics investigations or similar activities,
 to legal password crack.

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
http://sf.net/pdfcrack/pdfcrack-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pdfcrack 0.16

=== debian/changelog ===
pdfcrack (0.16-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: added rights for Ondřej Nový.

  [ Ondřej Nový ]
  * debian/watch: use https protocol.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Dec 2018 21:37:15 -0200

pdfcrack (0.16-2) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/source/include-binaries: added to allow debian/tests/test.pdf file.
  * debian/tests/*: added to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Sep 2018 21:50:56 -0300

pdfcrack (0.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the upstream and packaging copyright years.
  * debian/patches/10_fix-manpage.patch: removed. The upstream fixed the
    source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 12:33:13 -0300

pdfcrack (0.15-5) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: added a new primary email address for upstream, making
    secondary the current address.
  * debian/patches/fix-manpage.patch: renamed to 10_fix-manpage.patch.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Nov 2016 22:50:43 -0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pdfcrack.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdfcrack.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Homepage: http://pdfcrack.sf.net
+Vcs-Browser: https://salsa.debian.org/debian/pdfcrack
+Vcs-Git: https://salsa.debian.org/debian/pdfcrack.git
 
 Package: pdfcrack
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: pdfcrack -w debian/tests/dict debian/tests/test.pdf

## pdfcrack 0.17

=== debian/changelog ===
pdfcrack (0.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jul 2019 11:47:30 -0300

pdfcrack (0.17-1) experimental; urgency=medium

  * New upstream version 0.17.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: updated upstream anda packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 29 May 2019 22:13:49 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: http://pdfcrack.sf.net
 Vcs-Browser: https://salsa.debian.org/debian/pdfcrack
 Vcs-Git: https://salsa.debian.org/debian/pdfcrack.git

## pdfcrack 0.18

=== debian/changelog ===
pdfcrack (0.18-2) unstable; urgency=medium

  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Feb 2020 22:49:44 -0300

pdfcrack (0.18-1) unstable; urgency=medium

  * New upstream version 0.18.
  * debian/control: bumped Standards-Version to 4.4.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Aug 2019 21:41:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://pdfcrack.sf.net
 Vcs-Browser: https://salsa.debian.org/debian/pdfcrack
 Vcs-Git: https://salsa.debian.org/debian/pdfcrack.git

## pdfcrack 0.19

=== debian/changelog ===
pdfcrack (0.19-2) unstable; urgency=medium

  * debian/control: migrated DH level to 13.
  * debian/tests/control: set a CI test as superficial.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Sep 2020 00:02:55 -0300

pdfcrack (0.19-1) unstable; urgency=medium

  * New upstream version 0.19.
  * debian/copyright: updated upstream copyright years.
  * debian/source/include-binaries: added new file (debian/tests/new-test.pdf).
  * debian/tests/*: added two new tests.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 24 Apr 2020 21:48:12 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://pdfcrack.sf.net

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://sf.net/pdfcrack/pdfcrack-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pdfcrack 0.20

=== debian/changelog ===
pdfcrack (0.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 18 Jan 2023 14:34:50 -0300

pdfcrack (0.20-1) unstable; urgency=medium

  * New upstream version 0.20. (Closes: #1023180)
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated upstream copyright years.
  * debian/source/lintian-overrides: removed because this override is no
    longer needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Oct 2022 13:12:36 -0300

pdfcrack (0.19-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/source/lintian-overrides: created to override a disposable message
    about a PDF file useful for CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jun 2022 12:56:06 -0300

## pdfcrack 0.21

=== Makefile ===
CFLAGS += -Wall -Wextra -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -O3 -g

OBJS = main.o sha256.o rc4.o md5.o pdfcrack.o pdfparser.o passwords.o common.o \
	benchmark.o
OBJS_PDFREADER = pdfparser.o pdfreader.o common.o

all: pdfcrack

pdfcrack: $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(OBJS)

pdfreader: $(OBJS_PDFREADER)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(OBJS_PDFREADER)

clean:
	rm -f pdfcrack pdfreader testreader *.o

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $+

=== debian/changelog ===
pdfcrack (0.21-1) unstable; urgency=medium

  * New upstream version 0.21. (Closes: #1097565)
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 20 Sep 2025 14:30:26 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: http://pdfcrack.sf.net
 Vcs-Browser: https://salsa.debian.org/debian/pdfcrack
 Vcs-Git: https://salsa.debian.org/debian/pdfcrack.git

=== debian/tests/control ===
Test-Command: pdfcrack -v
Restrictions: superficial

Test-Command: pdfcrack -w debian/tests/dict debian/tests/test.pdf

Test-Command: pdfcrack -on 3 debian/tests/new-test.pdf
